DigesterFactory (Apache Tomcat 11.0.8 API Documentation)
Description: declaration: package: org.apache.tomcat.util.descriptor, class: DigesterFactory

# Class DigesterFactory

java.lang.Object
org.apache.tomcat.util.descriptor.DigesterFactory

public class DigesterFactory extends Object
Wrapper class around the Digester that hide Digester's initialization details.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Map<String,String>`
  `SERVLET_API_PUBLIC_IDS`
  Mapping of well-known public IDs used by the Servlet API to the matching local resource.
  `static final Map<String,String>`
  `SERVLET_API_SYSTEM_IDS`
  Mapping of well-known system IDs used by the Servlet API to the matching local resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DigesterFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Digester`
  `newDigester(boolean xmlValidation, boolean xmlNamespaceAware, RuleSet rule, boolean blockExternal)`
  Create a `Digester` parser.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SERVLET_API_PUBLIC_IDS

    public static final Map<String,String> SERVLET_API_PUBLIC_IDS
    Mapping of well-known public IDs used by the Servlet API to the matching local resource.

  - ### SERVLET_API_SYSTEM_IDS

    public static final Map<String,String> SERVLET_API_SYSTEM_IDS
    Mapping of well-known system IDs used by the Servlet API to the matching local resource.

- ## Constructor Details

  - ### DigesterFactory

    public DigesterFactory()

- ## Method Details

  - ### newDigester

    public static Digester newDigester(boolean xmlValidation, boolean xmlNamespaceAware, RuleSet rule, boolean blockExternal)
    Create a `Digester` parser.
    Parameters:
      `xmlValidation` - turn on/off xml validation
      `xmlNamespaceAware` - turn on/off namespace validation
      `rule` - an instance of `RuleSet` used for parsing the xml.
      `blockExternal` - turn on/off the blocking of external resources
    Returns:
      a new digester